import { II18nBaseLanguage } from 'totvs-log-base-foundation';

/**
 * Responsável pelos atributos de configuração do serviço de internacionalização
 */
export interface IIntlConfig {

    /**
     * Url dos assets
     */
    url: string;

    /**
     * Indica se o serviço de internacionalização não deve carregar os dados na inicialização.
     */
    lazy?: boolean;

    /**
     * Idiomas suportados pela aplicação
     */
    supportedLanguages?: Array<II18nBaseLanguage>;
}
