import { ThfModule } from '@totvs/thf-ui';
import { CommonModule } from '@angular/common';
import { MessageService } from './message.service';
import { NgModule } from '@angular/core';
import { MessageComponent } from './message.component';
import { MessageDisplayerService, AbstractShowMessage } from 'totvs-log-base-foundation';

@NgModule({
  declarations: [MessageComponent],
  imports: [
    CommonModule,
    ThfModule
  ],
  exports: [],
  providers: [
    MessageService,
    MessageDisplayerService,
    {
      provide: AbstractShowMessage,
      useClass: MessageService
    }]
})
export class MessageModule {
}
