import { Injectable } from '@angular/core';
import { IntlLiteralsLoaderService } from './../../services/intl/intl-literal-loader.service';
import { I18nBaseService } from 'totvs-log-base-foundation';

/**
 * Serviço fictício de internacionalização
 */
@Injectable()
export class I18nBaseServiceMock extends I18nBaseService {

  constructor(intlLiteralsLoader: IntlLiteralsLoaderService) {

    super(intlLiteralsLoader);

    this.updateOptions({}).subscribe();
  }
}
